### Class

# Ide SubprocessSupervisor

#### Description

    class Ide.SubprocessSupervisor : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_subprocess_supervisor_new

No description available.

#### Instance methods

###### ide_subprocess_supervisor_get_launcher

No description available.

Available since: 3.32

###### ide_subprocess_supervisor_get_subprocess

Gets the current `IdeSubprocess` that is being supervised. This might be `NULL` if the `ide_subprocess_supervisor_start()` has not yet been called or if there was a failure to spawn the process.

Available since: 3.32

###### ide_subprocess_supervisor_set_launcher

No description available.

###### ide_subprocess_supervisor_set_subprocess

No description available.

###### ide_subprocess_supervisor_start

No description available.

###### ide_subprocess_supervisor_stop

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Ide.SubprocessSupervisor::exited

No description available.

###### Ide.SubprocessSupervisor::spawned

No description available.

###### Ide.SubprocessSupervisor::supervise

No description available.

###### Ide.SubprocessSupervisor::unsupervise

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSubprocessSupervisorClass {
      GObjectClass parent_class;
      void (* spawned) (
        IdeSubprocessSupervisor* self,
        IdeSubprocess* subprocess
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`spawned` |
    void (* spawned) (
        IdeSubprocessSupervisor* self,
        IdeSubprocess* subprocess
      )
| No description available.

#### Virtual methods

###### Ide.SubprocessSupervisorClass.spawned

No description available.